import type { _MTRTimeSynchronizationClusterDSTOffsetStruct } from "./MTRTimeSynchronizationClusterDSTOffsetStruct.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
export declare class _MTRTimeSynchronizationClusterDstOffsetType extends _MTRTimeSynchronizationClusterDSTOffsetStruct {
    static alloc(): _MTRTimeSynchronizationClusterDstOffsetType;
    static new(): _MTRTimeSynchronizationClusterDstOffsetType;
    init(): _MTRTimeSynchronizationClusterDstOffsetType;
    offset(): _NSNumber;
    setOffset$(value: _NSNumber): void;
    validStarting(): _NSNumber;
    setValidStarting$(value: _NSNumber): void;
    validUntil(): _NSNumber | null;
    setValidUntil$(value: _NSNumber | null): void;
}
